/* =========================
   HEADER
========================= */

.main-header{
  width:100%;
  background:#fff;
  border-bottom:1px solid transparent;
  /* position:fixed; */
  top:0;
  left:0;
  z-index:999;
}

.header-inner{
  display:flex;
  align-items:flex-start;
  justify-content:space-between;
  padding:20px 42px 0;
  position:relative;
}

/* =========================
   LOGO
========================= */

.header-logo{
  flex-shrink:0;
}

.header-logo img{
  width:170px;
  height:42px;
  object-fit:contain;
  display:block;
}

/* =========================
   NAV
========================= */

.header-nav{
  position:absolute;
  left:50%;
  transform:translateX(-50%);
  top:30px;

  display:flex;
  align-items:center;
  gap:36px;
}

.header-nav a{
  font-size:13px;
  font-weight:400;
  color:#111;
  white-space:nowrap;
}

/* =========================
   RIGHT SIDE
========================= */

.header-right{
  display:flex;
  align-items:center;
  gap:18px;
}

/* SEARCH */

.header-search{
  width:124px;
  height:42px;
  border:1px solid #111;
  border-radius:8px;

  display:flex;
  align-items:center;
  gap:8px;

  padding:0 12px;
}

.header-search svg{
  flex-shrink:0;
}

.header-search input{
  width:100%;
  border:none;
  background:none;
  outline:none;
  font-size:13px;
}

/* LOGIN */

.login-link{
  font-size:13px;
  color:#111;
}

/* ICONS */

.icon-btn-header{
  border:none;
  background:none;
  cursor:pointer;
  color: #111;
  font-size:22px;

  display:flex;
  align-items:center;
  justify-content:center;
}

/* =========================
   DESKTOP DROPDOWN
========================= */

.nav-dropdown{
  position:relative;
}

.nav-dropdown-btn{
  border:none;
  background:none;
  display:flex;
  align-items:center;
  gap:6px;
  cursor:pointer;

  font-size:13px;
  color:#111;
}

.dropdown-arrow{
  display:flex;
  align-items:center;
  justify-content:center;

  transition:0.3s ease;
}
.nav-dropdown:hover .dropdown-arrow{
  transform:rotate(45deg);
}

/* MENU */

.nav-dropdown-menu{
  position:absolute;
  top:34px;
  left:0;

  min-width:240px;

  background:#fff;

  border:1px solid #e5e5e5;

  padding:18px 0;

  opacity:0;
  visibility:hidden;
  transform:translateY(10px);

  transition:0.3s ease;

  z-index:999;
}

.nav-dropdown:hover .nav-dropdown-menu{
  opacity:1;
  visibility:visible;
  transform:translateY(0);
}

.nav-dropdown-menu a{
  display:block;
  padding:12px 22px;
  font-size:14px;
  transition:0.2s;
}

.nav-dropdown-menu a:hover{
  background:#f5f5f5;
}

/* =========================
   HAMBURGER
========================= */

.hamburger-btn{
  width:24px;
  height:36px;
  border:none;
  background:none;
  display:none;
  flex-direction:column;
  justify-content:center;
  gap:7px;
  cursor:pointer;
}

.hamburger-btn span{
  width:100%;
  height:2px;
  background:#111;
  display:block;
}

/* =========================
   MOBILE MENU
========================= */

.mobile-menu{
  position:fixed;
  top:0;
  right:-100%;
  width:100%;
  max-width:430px;
  height:100vh;
  background:#1f1f1f;
  z-index:99999;

  transition:0.4s ease;

  padding:26px 24px 40px;

  overflow-y:auto;
}

.mobile-menu.active{
  right:0;
}

/* TOP */

.mobile-menu-top{
  display:flex;
  justify-content:flex-end;
  margin-bottom:40px;
} 

.mobile-close-btn{
  border:none;
  background:none;
  color:#fff;
  font-size:32px;
  cursor:pointer;

  transition:0.3s ease;
}

.mobile-close-btn:hover{
  transform:rotate(90deg);
}

/* NAV */

.mobile-menu-nav{
  font-family: 'Space Grotesk', sans-serif;
  display:flex;
  flex-direction:column;
  gap:28px;
}

.mobile-menu-nav a{
  color:#fff;
  font-size:20px;
  font-weight:400;
  line-height:1.2;
}

/* =========================
   MOBILE DROPDOWN
========================= */

.mobile-dropdown{
  width:100%;
}

.mobile-dropdown-btn{
  width:100%;

  border:none;
  background:none;

  display:flex;
  align-items:center;
  justify-content:space-between;

  color:#fff;

  font-size:20px;

  cursor:pointer;
}

.mobile-dropdown-icon{
  display:flex;
  align-items:center;
  justify-content:center;

  transition:0.3s ease;
}

/* MENU */

.mobile-dropdown-menu{
  max-height:0;
  overflow:hidden;

  transition:0.4s ease;

  display:flex;
  flex-direction:column;

  gap:18px;

  padding-left:18px;
}

.mobile-dropdown-menu a{
  color:#bdbdbd;
  font-size:16px;
  line-height:1.5;
}

/* ACTIVE */

.mobile-dropdown.active .mobile-dropdown-menu{
  max-height:500px;
  margin-top:24px;
}

.mobile-dropdown.active .mobile-dropdown-icon{
  transform:rotate(45deg);
}

/* =========================
   MOBILE HEADER
========================= */

@media(max-width:991px){

  .header-inner{
    height:86px;
    padding:18px 20px;
    align-items:center;
  }

  .header-nav{
    display:none;
  }

  .header-search{
    display:none;
  }

  .login-link{
    display:none;
  }

  .hamburger-btn{
    display:flex;
  }

  .header-logo img{
    width:170px;
    height:auto;
  }

  .header-right{
    gap:16px;
  }

  .icon-btn-header{
    font-size:20px;
  }

}
/* =========================
   TABLET
========================= */

@media(max-width:1200px){

  .header-nav{
    gap:20px;
  }

  .header-nav a{
    font-size:12px;
  }

}

/* =========================
   MOBILE
========================= */

@media(max-width:991px){

  .header-inner{
    height:90px;
    padding:20px;
    align-items:center;
  }

  .header-nav{
    display:none;
  }

  .header-search{
    display:none;
  }

  .login-link{
    display:none;
  }

  .header-logo img{
    width:140px;
    height:auto;
  }

  .header-right{
    gap:12px;
  }

  .icon-btn-header{
    font-size:18px;
  }

}
/*end header*/